Package org.eclipse.team.ui.synchronize

# Class TeamStateDescription

java.lang.Object
org.eclipse.team.ui.synchronize.TeamStateDescription

All Implemented Interfaces:
  `ITeamStateDescription`

public class TeamStateDescription extends Object implements ITeamStateDescription
An implementation of `ITeamStateDescription`.

This class may be subclassed by clients.

Since:
  3.2

## Constructor Summary

Constructors
Constructor
Description
`TeamStateDescription(int state)`
Create a description with the given state.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Return whether this state description is equal the to given object.
`int`
`getDirection()`
Return the portion of the state flags that represent the direction associated with the element for which this description was generated.
`int`
`getKind()`
Return the portion of the state flags that represent the kind associated with the element for which this description was generated.
`Object`
`getProperty(String property)`
Return the value associated with the given property.
`String[]`
`getPropertyNames()`
Return the properties names for all decorated properties associated with the element for which this description was generated.
`int`
`getStateFlags()`
Return the synchronization state flags for the element for which this state description was generated.
`void`
`setProperty(String property, Object value)`
Set the given property to the given value

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TeamStateDescription

public TeamStateDescription(int state)
Create a description with the given state.

Parameters:
  `state` - the state

## Method Details

### getStateFlags

public int getStateFlags()
Description copied from interface: `ITeamStateDescription`
Return the synchronization state flags for the element for which this state description was generated. Only the portion of the synchronization state covered by `stateMask` used when obtaining this description is returned.

Specified by:
  `getStateFlags` in interface `ITeamStateDescription`
Returns:
  the synchronization state of the given element
See Also:
  - `IDiff`
  - `IThreeWayDiff`
  - `IResourceDiff`

### getKind

public int getKind()
Description copied from interface: `ITeamStateDescription`
Return the portion of the state flags that represent the kind associated with the element for which this description was generated. See `IDiff.getKind()` for a description of what this value represents.

Specified by:
  `getKind` in interface `ITeamStateDescription`
Returns:
  the kind associated with the element for which this description was generated

### getDirection

public int getDirection()
Description copied from interface: `ITeamStateDescription`
Return the portion of the state flags that represent the direction associated with the element for which this description was generated. See `IThreeWayDiff.getDirection()` for a description of what this value represents.

Specified by:
  `getDirection` in interface `ITeamStateDescription`
Returns:
  the direction associated with the element for which this description was generated

### getPropertyNames

public String[] getPropertyNames()
Description copied from interface: `ITeamStateDescription`
Return the properties names for all decorated properties associated with the element for which this description was generated.

Specified by:
  `getPropertyNames` in interface `ITeamStateDescription`
Returns:
  the properties names for all decorated properties

### getProperty

public Object getProperty(String property)
Description copied from interface: `ITeamStateDescription`
Return the value associated with the given property. A `null` is returned if the property has no value.

Specified by:
  `getProperty` in interface `ITeamStateDescription`
Parameters:
  `property` - the property
Returns:
  the value associated with the given property or `null`

### setProperty

public void setProperty(String property, Object value)
Set the given property to the given value

Parameters:
  `property` - the property
  `value` - the value

### equals

public boolean equals(Object obj)
Description copied from interface: `ITeamStateDescription`
Return whether this state description is equal the to given object. Clients should use this method to test whether two state descriptions are equal.

Specified by:
  `equals` in interface `ITeamStateDescription`
Overrides:
  `equals` in class `Object`
Parameters:
  `obj` - the object
Returns:
  whether this state description is equal the to given object